/**
 * @desc 通知
 * @author denghuan
 */
import { ReactNode } from 'react';
import { ArgsProps as AntArgsProps, NotificationApi as AntNotificationApi } from 'antd/lib/notification';
export interface ArgsProps extends Omit<AntArgsProps, 'message'> {
    subtitle?: ReactNode;
    title?: ReactNode;
}
export interface NotificationAPI extends Omit<AntNotificationApi, 'success' | 'error' | 'info' | 'warning' | 'open'> {
    success(args: ArgsProps): void;
    error(args: ArgsProps): void;
    info(args: ArgsProps): void;
    warning(args: ArgsProps): void;
    open(args: ArgsProps): void;
}
declare const notification: NotificationAPI;
export default notification;
